// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_CallArrayFunction.h"
#include "SCW_UK2Node_CallFunction.h"

class UK2Node_CallArrayFunction;

namespace Sourcify
{
	class SCW_UK2Node_CallArrayFunction : public SCW_UK2Node_CallFunction, public virtual ISCW_UK2Node_CallArrayFunction
	{
	public:
		SCW_UK2Node_CallArrayFunction(UK2Node_CallArrayFunction* InK2Node_CallArrayFunction);

		UK2Node_CallArrayFunction* ToUK2Node_CallArrayFunction() const;

		ISCW_UK2Node_CallArrayFunctionPtr ToUK2Node_CallArrayFunctionPtr() override;
		ISCW_UK2Node_CallArrayFunctionConstPtr ToUK2Node_CallArrayFunctionPtr() const override;

	protected:
		UK2Node_CallArrayFunction* K2Node_CallArrayFunction;
	};
} // namespace Sourcify